#include<stdio.h>
#include<stdlib.h>


struct jugador {
    char* nombre, *apellido;
    char* clubDondeJuega;
    char* primerClub;
    short edad;
    char posicion; //'A' arquero, 'D' defensor, 'M' mediocampista, 'L' delantero 
    short jugoEnLaSeleccion;
    int golesConvertidos;
}


void imprimirSeparador();
void imprimirOpciones();
void nuevoJugador();
void modificarJugador();
void eliminarJugador();
void listarJugadoresSeleccion();
void listarJugadoresPosicion();
void listarJugadoresPrimerClub();
void encontrarJugador();
void buscarJugador();
... nuevoJugadorLista();
... modificarJugadorLista();
... eliminarJugadorLista();
... listarJugadoresSeleccionLista();
... listarJugadoresPosicionLista();
... listarJugadoresPrimerClubLista();
... encontrarJugadorLista();
... buscarJugadorLista();
       

int main() {

    int opcion;

    while(1) { 
        
        imprimirOpciones();
        
        scanf("%d", &opcion);
        
        switch(opcion) {

            case 1:
                nuevoJugador();
                break;
            case 2:
                modificarJugador();
                break;
            case 3:
                eliminarJugador();
                break;
            case 4:
                listarJugadoresSeleccion();
                break;
            case 5:
                listarJugadoresPosicion();
                break;
            case 6:
                listarJugadoresPrimerClub();
                break;
            case 7:
                encontrarJugador();
                break;
            case 8:
                buscarJugador();
                break;
            case 9:
                //liberar memoria antes de salir
                return 0; 
            default:
                break;
        }
    }
}

void imprimirSeparador() { printf("=================================\n"); }

void imprimirOpciones() {
    
    imprimirSeparador();
    printf("Agenda\n");
    printf("======\n");
    printf("1. Agregar un jugador\n");
    printf("2. Modificar un jugador\n");
    printf("3. Eliminar un jugador\n");
    printf("4. Listar jugadores que han jugado en la Selección\n");
    printf("5. Listar jugadores que cumplen con una determinada posición\n");
    printf("6. Listar jugadores que actualmente juegan en su primer club\n");
    printf("7. Encontrar el jugador de mayor edad que aún no haya jugado en la Selección\n");
    printf("8. Buscar un jugador\n");
    printf("9. Salir\n");
    imprimirSeparador();    
}

